
.gain{
    max-width: 1200px;
    margin: 0 auto;
    padding-top: 160px;
}

.gain-main{
    display: flex;
    justify-content: space-between;
}

.gain-main .gain-left{
    width: 20%;
    height: auto;
}

.gain-main .gain-left .gain-menu,.gain-main .gain-left .gain-wen{
    box-shadow: 0 2px 17px 2px rgba(68, 88, 144, 0.27);
}

.gain-main .gain-left .gain-wen{
    margin-top: 40px;
}

.gain-main .gain-left .biaoti{
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    padding: 20px;
    border-bottom: 1px solid #ebebeb;
}

.gain-main .gain-left .biaoti p{
    color: #1A1A1A;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    padding-left: 12px;
}


.gain-main .gain-left .menu-panel{
    padding: 20px;
}

.gain-main .gain-left .menu-panel .el-menu{
    border: none;
}

.gain-main .gain-left .menu-panel .el-submenu .el-menu-item{
    min-width:unset;
}


.gain-main .gain-left .wen-list{
    padding: 30px 20px 30px 20px;
    display: flex;
    flex-direction: column;
    align-items: baseline;
}

.gain-main .gain-left .wen-list li{
    width: 100%;
    height: auto;
    margin-bottom: 15px;
}

.gain-main .gain-left .wen-list li a{
    font-size: 15px;
    color: #1A1A1A;
}

.gain-main .gain-right{
    width: 78%;
    height: auto;
}

.gain-main .gain-right .proxy_content{
    width: 100%;
}

.proxy_body{
    background-color: #FFFFFF;
}

.proxy_body .proxy_body_item{
    padding: 30px 40px;
    box-shadow: 0 2px 17px 2px rgba(68, 88, 144, 0.27);
    margin-bottom: 20px;
}

.proxy_body .proxy_body_item h2{
    margin-bottom: 30px;
    font-size: 20px;
    color: #000;
    height: 25px;
    line-height: 25px;
    padding-left: 15px;
    border-left: 4px solid #297fff;
}


.cmd-panel .cmd-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.cmd-panel .cmd-code{
    width: 80%;
    background-color: #0f2841;
    padding: 10px 15px;
    overflow: auto;
    white-space: nowrap;
    color: #FFFFFF;
}

.cmd-panel .opbtn{
    display: flex;
    justify-content: end;
}

.code-content textarea{
    width: 100%;
    background: #0f2841;
    border: 0;
    padding: 10px;
    height: 262px;
    border-radius: 5px;
    outline: none;
    line-height: 24px;
    color: #ffffff;
    white-space: pre;
}

.user-case-code pre{
    margin: 0;
    padding: 0;
}

.user-case-code pre code{
    border-radius: 10px;
}

.proxy_body_item .input-tip{
    color: #adadad;
    font-size: 12px;
}

.down_tips .el-form-item__label{
    visibility: hidden!important;
}


/*代码块 TAB*/

.code_tab .el-tabs__nav-wrap::after{
    display: none;
}

.code_tab .el-tabs__header{
    margin: 0;
    background-color: #f5faff;
    padding:5px 20px;
    border-radius: 5px;
}

.code_tab .el-tabs__nav{
    display: flex;
    justify-content: space-between;
    width: 100%;

}

.code_tab .el-tabs__active-bar{
    display: none;
}

.code_tab .el-tabs__item{
    padding: 0 20px!important;
}

.code_tab .el-tabs__item.is-active{
    border-radius: 5px;
    color: #FFFFFF;
    background-color: #0d6efd;
}

.code_tab .el-tabs__content pre{
    margin: 0;
}

.code_tab .el-tabs__content{
    position: relative;
}

.code_tab .code_copy{
    position: absolute;
    top: 30px;
    right: 15px;
    font-size: 20px;
    color: #FFFFFF;
    cursor: pointer;
    padding: 0 5px;
}

.code_tab .el-tabs__content pre code{
    min-height: 500px;
}


.proxy_body_item .api-code{
    width: 100%;
    background-color: #0f2841;
    padding: 10px 15px;
    overflow: auto;
    white-space: nowrap;
    color: #FFFFFF;
    min-height: 38px;
}

.pre_count{
    background: #0f2841;
    padding: 20px;
    color: white;
    font-size: 14px;
    margin-bottom: 30px;
    border-radius: 5px;
}

.pre_count .span_green{
    color: #39d736;
}

.pre_count .span_blue{
    color: #3675fd;
}

.pre_count .span_yellow{
    color: #ff6a20;
}

.proxy_body_item .el-copy{
    cursor: pointer;
    color: #2067e7;
    font-size: 18px;
}


.el-select-dropdown__item.selected span{
    color: #2067e7!important;
}

@media (max-width: 999px) {
    .gain-main{
        flex-direction: column;
    }

    .gain-main .gain-left{
        display: none;
    }
    .gain-main .gain-right{
        width: 100%;
        padding: 10px;
    }

    .proxy_body .proxy_body_item{
        padding: 30px 20px;
    }

    .cmd-panel .cmd-item{
        flex-direction: column;
        align-items: flex-start;
    }

    .cmd-panel .cmd-code{
        width: 100%;
    }

    .cmd-panel .cmd-item button{
        margin-top: 20px;
    }

    .el-message-box{
        max-width: 320px;
    }


    .proxy_body_item .el-row{
        display: flex;
        flex-direction: column;
    }

    .proxy_body_item .el-row .el-col{
        width: 100%;
    }

    .proxy_body_item .el-row .el-radio-group{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    .proxy_body_item .el-row .el-radio-group .el-radio{
        margin: 10px;
    }
}

@media (max-width: 768px) {
    .code_tab .el-tabs__nav{
        flex-direction: column !important;
    }
}